#include "IVolumeSliderItem.h"

IVolumeSliderItem::IVolumeSliderItem(std::shared_ptr<IVolumeSlider> slider, QLabel *label)
    : m_pVolumeSlider(slider), m_pDisplayLabel(label)
{

}

//void IVolumeSliderItem::setValue(int value)
//{
//    m_pVolumeSlider->setValue(value);
//}

std::shared_ptr<IVolumeSlider> IVolumeSliderItem::getSlider() const
{
    return m_pVolumeSlider;
}

void IVolumeSliderItem::setRange(int min, int max)
{
    m_pVolumeSlider->setRange(min, max);
}
